#include once "fbgfx.bi"

const as integer BOX_SIZE = 100

dim shared as integer screenWidth, screenHeigth
dim as string driverName

screeninfo screenWidth, screenHeigth



function testDriver(driverName as string) as boolean
    dim as string actualDriverName

    screen 0
    screencontrol FB.SET_DRIVER_NAME, driverName

    screenres screenWidth, screenHeigth, 32,, fb.GFX_NO_FRAME

    line (0,0)-(BOX_SIZE, BOX_SIZE), &hffffff, BF
    line (screenWidth,screenHeigth)-step(-BOX_SIZE, -BOX_SIZE), &hffffff, BF
    line (0,screenHeigth)-step(BOX_SIZE, -BOX_SIZE), &hff0000, BF
    line (screenWidth,0)-step(-BOX_SIZE, BOX_SIZE), &hff0000, BF

    screencontrol FB.GET_DRIVER_NAME, actualDriverName
    
    draw string (BOX_SIZE*2, BOX_SIZE*2), "testing driver '" + driverName + "', actually using driver '" + actualDriverName + "'" 
    
    return actualDriverName = driverName
end function


testDriver("GDI")
sleep

testDriver("DirectX")
sleep

testDriver("OpenGL")
sleep
